function requireDependents (modulePath) {
  let exclude = Object.keys(require.cache).slice(0)
  let entry
  try {
    entry = require(modulePath)
  } catch (err) {
    console.error(err)
    return []
  }
  exclude = exclude
    .concat(Object.keys(module.parent.children))
    .concat(module.parent.filename)

  return Object.keys(require.cache)
    .filter(key => !exclude.includes(key))
}

module.exports = requireDependents
